<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>G4OpticalCoupling Member List</h1>This is the complete list of members for <a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a980319bd26cf98ede9158a019cbf5094">ConstructVolumes</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a15431708c58cee110cfc9ad97537fffe">DefineMaterials</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a0be45470ad1391d84ffd1391299cc4a8">G4OpticalCoupling</a>(G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name, G4ThreeVector surface_normal_relative_to_base, G4ThreeVector centre_position_relative_to_base, G4bool searchOverlaps, PropertyToolsManager *propertyTools)</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a5545390dfe90848267fb8c5f1254a64b">GetCoupledVolumes</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a58c07cc8a6b71427b22e2d4552e8b0cb">GetCoupling_logicalVolume</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a8a624bca6df3f16eda0af68599f8a302">GetCoupling_physicalVolume</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a7b4875a7a86f66129f037c80f10c6ae5">GetCoupling_solidVolume</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a296be61e96de44eed5f13dc6a5e37457">GetCouplingDimensions</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a6b935a59dc5c7f75fddf793481a9b694">GetCouplingMaterial</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#affad1b0f0b0b7c0a1daeafd3c57a0c20">GetCouplingName</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#abab045563c6abf2cd1eb2cb84dd93c6c">GetCouplingRelativeSurfaceNormal</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a83155c030a3f86e01beffc7ac38f05d7">GetCouplingRelativeSurfacePosition</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#a97e16eb10eb424d4a940473bcc50638b">GetCouplingTransformation</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4OpticalCoupling.html#aabe0677ffb7ebd255ef0771a35f10f99">~G4OpticalCoupling</a>()</td><td><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
